From: Bastian Germann <bastiangermann@fishpost.de>
Date: Thu, 7 Jan 2021 23:39:33 +0100
Subject: [PATCH] Download via uscan
---
 debian/rules | 3 +--
 debian/watch | 4 ++++
 2 files changed, 5 insertions(+), 2 deletions(-)
 create mode 100644 debian/watch

diff --git a/debian/rules b/debian/rules
index db85893..8774d5d 100755
--- a/debian/rules
+++ b/debian/rules
@@ -147,7 +147,6 @@ override_dh_auto_clean:
 
 ###################### upstream source downloading ############################
 
-url=https://gsdview.appspot.com/chromium-browser-official
 version=$(shell dpkg-parsechangelog -S Version | sed s/-.*//)
 extract=chromium-$(version)
 tarfile=$(extract)-lite.tar
@@ -158,7 +157,7 @@ removed=$(debvers).files-removed
 seconds=$(debvers).seconds
 
 get-orig-source:
-	wget -nv --show-progress -c $(url)/$(tarball) -O ../$(tarball)
+	uscan --noconf --download-current-version --no-exclusion
 	cp /usr/share/perl5/Devscripts/MkOrigtargz.pm debian/scripts/mk-origtargz
 	patch -p1 < debian/scripts/mk-origtargz.patch
 	date +%s > $(seconds)
diff --git a/debian/watch b/debian/watch
new file mode 100644
index 0000000..448ebcd
--- /dev/null
+++ b/debian/watch
@@ -0,0 +1,4 @@
+version=4
+opts="pgpmode=none, searchmode=plain, filenamemangle=s%linux.stable.@ANY_VERSION@.%chromium-$1-lite.tar.xz%, \
+      downloadurlmangle=s%linux.stable.@ANY_VERSION@.%https://gsdview.appspot.com/chromium-browser-official/chromium-$1-lite.tar.xz%" \
+https://omahaproxy.appspot.com/history linux,stable,@ANY_VERSION@,
